Package be.vlaanderen.mercurius.mohm.schemas.v1

# Class DependentPersonType

java.lang.Object
be.vlaanderen.mercurius.mohm.schemas.v1.DependentPersonType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class DependentPersonType extends Object implements Serializable
Generiek type voor een zorgvrager.

Java class for DependentPersonType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DependentPersonType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="SSIN" type="{http://www.mercurius.vlaanderen.be/vsb/schemas/v1}SSINType"/>
             <element name="NotOfficialAddress" type="{http://www.mercurius.vlaanderen.be/vsb/schemas/v1}AddressType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DependentPersonType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AddressType`
  `getNotOfficialAddress()`
  Niet officieel adres van de zorgvrager.
  `String`
  `getSSIN()`
  INSZ van de zorgvrager.
  `void`
  `setNotOfficialAddress(AddressType value)`
  Sets the value of the notOfficialAddress property.
  `void`
  `setSSIN(String value)`
  Sets the value of the ssin property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DependentPersonType

    public DependentPersonType()

- ## Method Details

  - ### getSSIN

    public String getSSIN()
    INSZ van de zorgvrager. Modulo97 en lengte worden gecontroleerd.
    Returns:
      possible object is `String`

  - ### setSSIN

    public void setSSIN(String value)
    Sets the value of the ssin property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getSSIN()`

  - ### getNotOfficialAddress

    public AddressType getNotOfficialAddress()
    Niet officieel adres van de zorgvrager. Kan handig zijn voor correspondentie naar de zorgvrager door de zorgkas. Structuur adres van ledenbeheer wordt gebruikt.
    Returns:
      possible object is `AddressType`

  - ### setNotOfficialAddress

    public void setNotOfficialAddress(AddressType value)
    Sets the value of the notOfficialAddress property.
    Parameters:
      `value` - allowed object is `AddressType`
    See Also:
      - `getNotOfficialAddress()`